<div class="navi-wrapper-header normal-header-view">
  <div class="header-top">
    <div class="container header-top-wrap padding0px">
      <div class="about-pc">{{'LABEL_SLOGAN' | translate: lang}}</div>
      <div class="header-top-right">
        <div class="header-right-list">
          <ul>
            <li class="top-border"><a href="https://about.ichhapurti.com/" target="_blank">Ichhapurti website</a></li>
            <li class="top-border" (click)="moveToRespectivePages('contactus') ">Contact Us</li>
            <li class="top-border"><a [href]="becomeVendor" target="_blank">{{'LABEL_BECOME_VENDOR' | translate: lang}}</a></li>
            
            <li class="top-border"><a [href]="salesPortal" target="_blank">{{'LABEL_SALES' | translate: lang}}</a></li>
            <!--<li class="top-border">{{'LABEL_GIFT_CARD' | translate: lang}}</li>
            <li class="top-border">{{'LABEL_ENGLISH' | translate: lang}}</li>-->
          </ul>
        </div>
        <div class="download-btn">{{'LABEL_DOWNLOAD_APP' | translate: lang}}</div>
      </div>
    </div>
  </div>
  <div class="header">
    <div class="container padding0px">
      <!--Logo-->
      <div class="row header-row">
        <div class="col-md-2 logo-center">
          <div class="logo-cont">
            <div class="logo" (click)="moveToRespectivePages('home')" [ngx-scroll-to]="'#appHeader'" [ngx-scroll-to-offset]="-200">
              <span *ngIf="isImageLogo">
                <img class="responsive" (click)="moveToRespectivePages('home')"
                  [title]="siteSettingDetails ? siteSettingDetails.systemTitle : ''"
                  src="assets/images/logo.png"
                  [alt]="siteSettingDetails ? siteSettingDetails.systemTitle : ''">
              </span>
              <span [title]="siteSettingDetails ? siteSettingDetails.systemTitle : ''"
                (click)="moveToRespectivePages('home')" [ngStyle]="{'color': siteSettingDetails.storeTextColor }"
                class="logo-txt-style" *ngIf="!this.isImageLogo">
                {{siteSettingDetails.storeTextLogo}}
              </span>
            </div>
          </div>
        </div>
        <div class="col-md-10 logo-right">
          <div class="header-cont">

            <!--Product Search-->

            <div class="search-cont">
              <form #searchForm="ngForm" (ngSubmit)="getSearchProducts(categoryId, searchName)">
                <div class="input-group search-panel">
                  <div class="btn-bg" (click)="showDropdown=!showDropdown">
                    <mat-select placeholder="All" class="btn btn-default select-all" name="categoryId"
                      [(ngModel)]="categoryId">
                      <mat-option *ngFor="let category of categoryList" [value]="category.categoryGroupId">
                        {{category.categoryGroupName}}</mat-option>
                    </mat-select>
                  </div>

                  <div class="input-group">
                    <input [maxLength]="searchRules.MAX_LENGTH" type="text" name="searchName" [(ngModel)]="searchName"
                      class="form-control header-input" [placeholder]="'placeholderSearch' | translate: lang">
                    <div class="input-group-btn input-search-clear">
                      <button (click)="clearSearchString()" *ngIf="searchName" type="button" class="search-clear"
                        [title]="'CLEAR' | translate:lang">
                        <i class="material-icons">close</i>
                      </button>
                    </div>
                    <span class="input-group-btn search-btn">
                      <button [disabled]="searchName === '' && categoryId === undefined"
                        [title]="'titleSearch' | translate: lang" class="btn btn-default" type="submit"
                        (click)="getSearchProducts(categoryId, searchName)">
                        <fa name="search"></fa>
                      </button>
                    </span>
                  </div>
                </div>
              </form>
            </div>

            <!-- Register and SignIn default button -->
            <div class="signInOutfield-cont" *ngIf="userLogin === false">
              <div class="profile-wrap" *ngIf="userLogin === false">
                <div class="header-profile-normal-name" mat-icon-button>
                  <div class="user-name-normal">
                    <span (click)="moveToRespectivePages('signin')"
                      class="signIn">{{'buttonSignin' | translate: lang}}</span> &nbsp; 
                      <span class="divider">|</span> &nbsp;
                      <span
                      (click)="moveToRespectivePages('register')"
                      class="signOut">{{ 'buttonSignUp' | translate:lang }}</span></div>
                </div>
              </div>
            </div>
            <!--Signin Dropdown-->
            <div class="signInfield-cont" *ngIf="userLogin === true">
              <div class="signIn-field search">

                <!-- Popover Trigger -->
                <div class="popover-trigger" (click)="toggleSignInPopover()" (clickOutside)="signInOpen = false;"
                  [exclude]="'.current-lang'">
                  <div class="header-profile-logout">
                    <img class="profile-img" alt="Profile Image" [src]="profileImage" title="Profile Image">
                    <div class="header-profile-normal-name" mat-icon-button>
                      <span
                        class="uname vertica-align">{{userLogin === true ? loginUser : 'labelSignIn' | translate: lang}}</span>
                      <i class="material-icons">keyboard_arrow_down</i>
                    </div>
                  </div>
                </div>

                <div class="signin-popover arrow_box" [hidden]="!signInOpen">
                  <div class="signin-content" [@SignInDropDown]="signInOpen">
                    <!-- signin Btn -->
                    <div class="drop-btns bb-d3" *ngIf="userLogin === false">
                      <button mat-raised-button title="{{ 'buttonSignin' | translate:lang }}" color="primary"
                        (click)="moveToRespectivePages('signin')" class="but-signin">{{ 'buttonSignin' | translate:lang }}
                      </button>
                      <button mat-raised-button title="{{ 'buttonSignUp' | translate:lang }}" color="primary"
                        (click)="moveToRespectivePages('register')"
                        class="but-reg sec-btn mt-2">{{ 'buttonSignUp' | translate:lang }}
                      </button>
                    </div>
                    <!-- Account Control -->
                    <div class="acc-control">
                      <ul>
                        <div *ngIf="userLogin === true">
                          <li (click)="moveToRespectivePages('dashboard')"><span class="icon"><i
                                class="fas fa-tachometer-alt"></i>
                            </span><span class="control-name">{{ 'labelDashboard' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('profile')"><span class="icon"><i class="fa fa-user"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelProfileInfo' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('notification')"><span class="icon"><i class="fa fa-bell"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelNotificationPreference' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('orders')"><span class="icon"><i class="fa fa-shopping-cart"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelMyOrders' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('rating')"><span class="icon"><i class="fa fa-star"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelReviewRating' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('wishlist')"><span class="icon"><i class="fa fa-heart"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelWishlist' |
                              translate:lang }}</span></li>
                          <li (click)="moveToRespectivePages('wallet')"><span class="icon"><i
                                class="far fa-money-bill-alt"></i></span><span class="control-name">{{ 'labelMyWallet' |
                              translate:lang }}</span></li>
                          <li *ngIf="userDetails && userDetails.providers === 0"
                            (click)="moveToRespectivePages('changePassword')"><span class="icon"><i class="fa fa-key"
                                aria-hidden="true"></i></span><span class="control-name">{{ 'labelChangePassword' |
                              translate:lang }}</span></li>
                          <li (click)="logoutSession()"><span class="icon"><i class="fa fa-power-off"
                                aria-hidden="true"></i></span><span
                              class="control-name">{{ 'labelLogout' | translate:lang }}</span></li>
                        </div>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="lang-icons-cont">
              <div class="header-lang">
                <div class="header-icons-lang">
                  <!-- <img [src]="countryImage"> -->
                  <span class="country-name-value cursor-pointer" (click)="select.open()">{{shortValue}}</span>
                  <mat-select #select panelClass="language-dropdown" [title]="'titleChangeLanguage' | translate: lang">
                    <mat-option *ngFor="let lang of languages" (click)="onChangeLanguage(lang)">
                      <!-- <img src="{{lang.image}}"> {{lang.viewValue}} -->
                      <div class="lang-image">                    
                        <div class="lang-value">{{lang.viewValue}}</div>
                        <div class="country-lang-value">({{lang.value}})</div>
                      </div>
                    </mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
            <!--Language, Wishlist and Cart-->
            <div class="cart-icons-cont">
              <div class="header-fav-cart">
                <div class="header-icons" [title]="'titleCompare' | translate: lang"
                  (click)="moveToRespectivePages('compare')">
                  <i class="fas fa-exchange-alt"></i>
                  <span class="c-badge" *ngIf="compareCount !== 0">{{compareCount}}</span>
                </div>
                <div class="header-icons icon-border" [title]="'titleWishlist' | translate: lang"
                  (click)="moveToRespectivePages('wishlist') ">
                  <i class="fas fa-heart"></i>
                  <span *ngIf="wishListCount !== 0" class="c-badge">{{wishListCount}}</span>
                </div>
                <div class="header-icons icon-border" [title]="'titleCart' | translate: lang"
                  (click)="moveToRespectivePages('cart') ">
                  <i class="fas fa-shopping-cart"></i>
                  <span *ngIf="cartCount !== 0" class="c-badge">{{cartCount}}</span>
                </div>
              </div>
            </div>
          </div>
          <div class="header-category padding0px">
              <!--<button class="btn btn-secondary nav-link dropdown-toggle category-btn" (click)="showCategoryMenu() "
                href="# " id="navbarDropdown " role="button " data-toggle="dropdown " aria-haspopup="false "
                aria-expanded="false" [ngx-scroll-to]="'#showAllScrollUp'">
                <span>{{ 'labelShowAllCategory' | translate:lang }}</span>
              </button>-->
              <div class="row">                
                <div class="category-popover">
                  <app-category-group [category]="mainCategoryList"></app-category-group>
                </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Mobile Header start -->
<div class="navi-wrapper-header mobile-header-view" [@mobileHeader]="scrollValuetrue">
  <div class="container">
    <div class="row">
      <div class="col-md-12 mobile-new-header">
        <div class="header">
          <div class="header-cont">
            <div class="sidenav-toggle-btn">
              <i class="material-icons" (click)="sidenav.toggle()">sort</i>
              <!-- <svg-icon src="assets/images/sidebar.svg" (click)="sidenav.toggle()"></svg-icon> -->
              <!--<img (click)="sidenav.toggle()" src="assets\images\sidebar.svg">-->
            </div>
            <!--Logo-->
            <div class="logo-cont">
              <div class="logo" (click)="moveToRespectivePages('home')">
                <span *ngIf="isImageLogo">
                  <img class="responsive" (click)="moveToRespectivePages('home')"
                    [title]="siteSettingDetails ? siteSettingDetails.systemTitle : ''"
                    [src]="siteSettingDetails ? siteSettingDetails.storeLogo : ''"
                    [alt]="siteSettingDetails ? siteSettingDetails.systemTitle : ''">
                </span>
                <span [title]="siteSettingDetails ? siteSettingDetails.systemTitle : ''"
                  (click)="moveToRespectivePages('home')" [ngStyle]="{'color': siteSettingDetails.storeTextColor }"
                  class="logo-txt-style" *ngIf="!this.isImageLogo">
                  {{siteSettingDetails.storeTextLogo}}
                </span>
              </div>
            </div>
            <!--Language, Wishlist and Cart-->
            <div class="cart-icons-cont" [ngClass]="{'cartspace':!scrollValuetrue}">
              <div class="header-fav-cart">
                <div class="header-icons " [title]="'titleCompare' | translate: lang">
                  <fa class="fas fa-exchange-alt p4" name="exchange" (click)="moveToRespectivePages('compare')"></fa>
                  <span class="c-badge" *ngIf="compareCount !== 0">{{compareCount}}</span>
                </div>

                <div class="header-icons" [title]="'titleCart' | translate: lang">
                  <fa class="fa-icon cart-icon" name="shopping-cart" (click)="moveToRespectivePages('cart') "></fa>
                  <span *ngIf="cartCount !== 0" class="c-badge">{{cartCount}}</span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--Product Search-->
    <div class="row">
      <div class="col-md-12 padding0px">
        <div class="header-search" *ngIf="!scrollValuetrue">
          <div class="search-cont">
            <form #searchForm="ngForm" (ngSubmit)="getSearchProducts(categoryId, searchName)">
              <div class="input-group search-panel">
                <div (click)="showDropdown=!showDropdown">
                  <mat-select placeholder="All" class="btn btn-default select-all" name="categoryId"
                    [(ngModel)]="categoryId">
                    <mat-option *ngFor="let category of categoryList" [value]="category.categoryGroupId">
                      {{category.categoryGroupName}}</mat-option>
                  </mat-select>
                </div>
                <div class="input-group">
                  <input [maxLength]="searchRules.MAX_LENGTH" type="text" name="searchName" [(ngModel)]="searchName"
                    class="form-control" [placeholder]="'placeholderSearch' | translate: lang">
                  <div class="input-group-btn input-search-clear">
                    <button (click)="clearSearchString()" *ngIf="searchName" type="button" class="search-clear"
                      [title]="'CLEAR' | translate:lang">
                      <i class="material-icons">close</i>
                    </button>
                  </div>
                  <span class="input-group-btn search-btn">
                    <button [disabled]="searchName === '' && categoryId === undefined"
                      [title]="'titleSearch' | translate: lang" class="btn btn-default" type="submit"
                      (click)="getSearchProducts(categoryId, searchName)">
                      <fa name="search"></fa>
                    </button>
                  </span>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!-- Mobile Header End -->

<!-- Navigation Starts Here-->
<!--<div class="navi-wrapper">
  <div class="container">
    <nav class="navbar navbar-expand-lg navbar-light padding0px">

      <div class="collapse navbar-collapse" id="navbarSupportedContent" (click)="collapse=true" [hidden]="collapse">
        <ul class="navbar-nav">

          <div class="col-md-9 menu-bg padding0px">
            <div class="nav-top-lable">
              <div class="nav-list-wrap">
                <ul>
                  <span *ngFor="let menu of menuItems"
                    [ngClass]="{'nav-top-lable-active': menu.functionText === menuName}">
                    <li class="nav-item" (click)="activeMenu(menu)" [title]="menu.title | translate: lang"
                      id="showAllScrollUp">
                      <a class="nav-link " (click)="moveToRespectivePages(menu.functionText) ">
                        {{ menu.title | translate: lang }}
                      </a>
                    </li>
                  </span>
                </ul>
                <div class="toll-free-wrap">
                  <div class="toll-free">
                    <span class="toll-free-text">{{'LABEL_CALL_US_FREE' | translate: lang}}:</span><span
                      class="toll-free-no">+91-958-515-2888</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </ul>
      </div>
    </nav>
  </div>
</div>-->

<!-- Mobile SideNav Items -->
<div class="mobile-sidenav">
  <mat-drawer-container>
    <mat-drawer #sidenav mode=" open " [(opened)]="opened" (opened)="events.push( 'open!') "
      (closed)="events.push( 'close!') ">
      <ng-container *ngIf="show">
        <div class="sidenav-newprofile">
          <div class="mobile-profile-wrap">
            <div class="profile-wrap" *ngIf="userLogin === true">

              <app-user-profile></app-user-profile>
              <div class="header-profile-name " mat-icon-button>
                <span class="user-name" title="{{loginUser}}">{{loginUser}}</span>
              </div>
            </div>
            <div class="profile-wrap" *ngIf="userLogin === false">
              <span><img src="assets\images\usersignout.png" class="profile-mobile-image" title="Profile Image"
                  alt="Profile Image"></span>
              <div class="header-profile-name " mat-icon-button>
                <a class="user-name"
                  (click)="moveToRespectivePages('signin')">{{'labelSignUptext' | translate: lang}}</a>
                <div class="user-note">{{'LABEL_VIEW_ORDER' | translate: lang}}</div>
              </div>
            </div>
            <div class="language-warp">
              <div class="language-image">
                <!-- <img [src]="countryImage"> -->
                <span class="country-name-value">{{shortValue}}</span>
              </div>
            </div>
          </div>
        </div>
        <div class="profile-list">
          <div class="mobile-acc-control">
            <ul>
              <li (click)="moveToRespectivePages('dashboard')">
                <img class="large material-icons" src="assets\images\mobileProfile\passignment.svg">
                <i class="outline-account_balance_wallet icon-image-preview"></i>
                <span class="control-name">{{ 'labelDashboard' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('profile')"><img class="large material-icons"
                  src="assets\images\mobileProfile\paccount.svg"><span class="control-name">{{ 'labelProfileInfo' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('address')"><img class="large material-icons"
                  src="assets\images\mobileProfile\plocation.svg"><span class="control-name">{{ 'labelManageAddress' |
                    translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('notification')">
                <img class="large material-icons" src="assets\images\mobileProfile\pnotificatiion.svg">
                <span class="control-name">{{ 'labelNotificationPreference' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('orders')"><img class="large material-icons"
                  src="assets\images\mobileProfile\pcart.svg"><span class="control-name">{{ 'labelMyOrders' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('rating')"><img class="large material-icons"
                  src="assets\images\mobileProfile\passignment.svg"><span class="control-name">{{ 'labelReviewRating' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('wishlist')"><img class="large material-icons"
                  src="assets\images\mobileProfile\pfavorite.svg"><span class="control-name">{{ 'labelWishlist' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('wallet')"><img class="large material-icons"
                  src="assets\images\mobileProfile\paccount_balance_wallet.svg"><span class="control-name">{{ 'labelMyWallet' |
                        translate:lang }}</span></li>
              <li (click)="moveToRespectivePages('complaint')"><img class="large material-icons"
                  src="assets\images\mobileProfile\passessment.svg"><span class="control-name">{{ 'labelOrderComplaints' |
                      translate:lang }}</span></li>
              <li *ngIf="userLogin === true && (userDetails && userDetails.providers === 0)"
                (click)="moveToRespectivePages('changePassword')"><img class="large material-icons"
                  src="assets\images\mobileProfile\plock.svg"><span class="control-name">{{ 'labelChangePassword' |
                        translate:lang }}</span></li>
              <li *ngIf="userLogin === true" (click)="logoutSession()"><img class="large material-icons"
                  src="assets\images\mobileProfile\ppower.svg"><span
                  class="control-name">{{ 'labelLogout' | translate:lang }}</span></li>
              <li *ngIf="userLogin === false">
                <div class="mobile-reg-btn1" *ngIf="!hideMenu">
                  <div class="language-content1">
                    <div class="current-lang1 bb-d3" (click)="moveToRespectivePages('register')">
                      <span class="font14">{{'buttonRegister' | translate: lang}}</span>
                      <span class="lang-drop1">
                        <i class="fa fa-angle-right" aria-hidden="true"></i>
                      </span>
                    </div>
                  </div>
                </div>
              </li>
              <li>
                <div class="mobile-lang-btn1" *ngIf="!hideMenu">
                  <div class="language-content1">
                    <div class="current-lang1 bb-d3" [ngx-scroll-to]="'#lang-list-mobile'" (click)="toggleLang()"
                      (clickOutside)="langOpen = false;" [ngClass]="{'isActive':langOpen}">
                      <span class="font14">{{'labelSelectLanguage' | translate: lang}}</span>
                      <span class="lang-drop1">
                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                      </span>
                    </div>
                    <div class="lang-list1">
                      <ul [@langDropDown]="langOpen" id="lang-list-mobile">
                        <li *ngFor="let lang of languages" (click)="onChangeLanguage(lang)">
                          <!-- <img src="{{lang.image}}"> {{lang.viewValue}} -->
                          <div class="m-lang-image">                    
                            <div class="m-lang-value">{{lang.viewValue}}</div>
                            <div class="m-country-name-value">({{lang.value}})</div>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </li>
            </ul>
          </div>
        </div>

        <div class="sidenav-footer">
          <div class="sidenav-footer-wrap">
            <ul>
              <li (click)="moveToRespectivePages('home')">
                <span>
                  <mat-icon class="sidenav-home">home</mat-icon>
                </span><span class="ctrl-name">{{ 'labelMobileMenuHome' |
                        translate:lang }}</span>
              </li>
              <li (click)="moveToRespectivePages('products')">
                <span>
                  <mat-icon class="sidenav-home">shopping_cart</mat-icon>
                </span><span class="ctrl-name">{{ 'labelMobileMenuProducts' |
                        translate:lang }}</span>
              </li>
              <!--<li (click)="moveToRespectivePages('nearmap')">
                <span>
                  <mat-icon class="sidenav-home">location_on</mat-icon>
                </span><span class="ctrl-name">{{ 'labelMobileMenuNearbyMap' |
                        translate:lang }}</span>
              </li>-->
              <li (click)="moveToRespectivePages('deals')">
                <span>
                  <mat-icon class="sidenav-home">local_offer</mat-icon>
                </span><span class="ctrl-name">{{ 'labelMobileMenuDeals' |
                        translate:lang }}</span>
              </li>
              <li (click)="moveToRespectivePages('contactus') ">
                <span>
                  <mat-icon class="sidenav-home">perm_contact_calendar</mat-icon>
                </span><span class="ctrl-name">{{ 'labelMobileMenuContact' |
                        translate:lang }}</span>
              </li>
             
            </ul>
          </div>
        </div>
      </ng-container>
    </mat-drawer>
  </mat-drawer-container>
</div>